# skbio.sequence.RNA.has_nondegenerates

`RNA.``has_nondegenerates`()

  Determine if sequence contains one or more non-degenerate characters

  State: Stable as of 0.4.0.

  Returns:

  bool

  > Indicates whether there are one or more occurrences of non-degenerate characters in the biological sequence.

  See also

  `nondegenerates`, `degenerates`, `has_degenerates`

  Examples

      >>> from skbio import DNA
      >>> s = DNA('NWNNNNNN')
      >>> s.has_nondegenerates()
      False
      >>> t = DNA('ANCACWWGACGTT')
      >>> t.has_nondegenerates()
      True